
package de.ivu.elect.presentation.kandidatur.menu;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class WasListenkandidaturSearchMenu extends ListenkandidaturSearchMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WaehlerBenannteListenkandidaturCreateMenuItemEntry waehlerBenannteListenkandidaturCreateMenuItemEntry;

  public WasListenkandidaturSearchMenu() {
    super();
  }

  @Override
  protected void addMenuEntriesCreate(List<MenuEntry> result) {
    super.addMenuEntriesCreate(result);

    result.add(waehlerBenannteListenkandidaturCreateMenuItemEntry);
  }
}
